
Finalization Pharmadex for Mozambique, Bangladesh, Namibia, Ethiopia - Feature #2471

BD validate INN on button Next  for "Additional Info" tab for Add Application wizard

01/27/2017 01:17 PM - Oleksii Kurasov

Status: Closed Start date: 01/27/2017

Priority: Urgent Due date: 01/31/2017

Assignee: Oleksii Kurasov % Done: 0%

Category:  Estimated time: 0.00 hour

Target version:  Spent time: 0.00 hour

Description

History

#1 - 01/30/2017 04:29 AM - Oleksii Kurasov

- Status changed from New to In Progress

#2 - 01/30/2017 05:11 AM - Oleksii Kurasov

- Status changed from In Progress to Closed
